Status: Closed Start date:

Priority: Normal Due date:

Assignee: Go MAEDA % Done: 0%
Category: Performance Estimated time: 0.00 hour
Target version: 5.0.0

Resolution: Fixed

Description

Set lazy: loading for images and thumbnail images that Redmine will display as follows:
<img src="image.jpg" alt="..." loading="lazy">

lazy loading document: https://developer.mozilla.org/en-US/docs/Web/Performance/Lazy loading
It can be displayed more quickly, for example, when a issue has many comments and many images are displayed.

Associated revisions

Revision 21313 - 2021-12-14 02:24 - Go MAEDA
Lazy load inline images (#36294).

Patch by Mizuki ISHIKAWA.

History

#1 - 2021-12-09 02:29 - Mizuki ISHIKAWA
- File feature-36294.patch added

I'll attach the patch.

#2 - 2021-12-09 05:40 - Go MAEDA

- Category changed from Ul to Performance

+1

Currently, inline images on a page are loaded all at once. After enabling lazy loading by applying the patch, images are loaded when it is necessary.

Lazy loading reduces the transfer volume of images and makes the load speed of a page. It resolves the problem that long issues or wiki pages with a
lot of images take a long time to load and should improve the user experience.

#3 - 2021-12-09 10:16 - Go MAEDA

- Target version set to Candidate for next major release

#4 - 2021-12-12 06:01 - Go MAEDA
- Subject changed from Change image loading to lazy loading to Lazy load inline images

- Target version changed from Candidate for next major release to 5.0.0

Setting the target version to 5.0.0.

#5 - 2021-12-14 02:27 - Go MAEDA
- Status changed from New to Closed
- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch. Thank you for your contribution.
https://developer.mozilla.org/en-US/docs/Web/Performance/Lazy_loading

#6 - 2023-09-17 11:25 - Cristian Spiescu

Unfortunately, for pages with relatively a lot of images (and/or big images) this breaks HTML anchors. E.g. links pointing to notes that are down on the
page.

On accessing such a link, the browser initially scrolls to the current position. But then, images start to arrive pushing the scroll.
What do you think that an option to enable/disable lazy images?
#7 - 2024-12-02 12:44 - Kota Shiratsuka
Cristian Spiescu wrote in #note-6:
Unfortunately, for pages with relatively a lot of images (and/or big images) this breaks HTML anchors. E.g. links pointing to notes that are down

on the page.

| have submitted a patch to resolve this issue. Patch #41919: Add width and height to img src

Files

feature-36294.patch 8 KB 2021-12-09 Mizuki ISHIKAWA
